Bug 56841 - Wrong man page for kill
Summary: Wrong man page for kill
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-28 17:41 UTC by Dylan Martin
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-28 17:41:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dylan Martin 2001-11-28 17:41:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (Win98; U)

Description of problem:
The man page for kill describes a -p switch
     -p     Specify that kill should only print the process id (pid) of
              the named processes, and not send any signals.
the kill command does not support -p, and when you run "kill" with no switches is prints this usage
    kill: usage: kill [-s sigspec | -n signum | -sigspec] [pid | job]... or kill -l [sigspec]
which mentions no -p switch

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.man kill
2.kill

	

Actual Results:  The features described in the man page differ from those described by kill's usage statement

Expected Results:  They should, like, match.

Additional info:

If I had my whim, I'd like that -p switch to work.  I could use that.  Probably a good reason it's not there though.

Comment 1 Elliot Lee 2002-01-04 21:32:49 UTC
Hi,

/bin/kill is not the same as the builtin bash 'kill'. The man page is for the
former, 'help kill' is for the latter


Note You need to log in before you can comment on or make changes to this bug.